Sazabi
APIIssues

Get an issue

Get a single issue by ID.

GET https://api.sazabi.com/v1/issues/{issueId}

GET
/issues/{issueId}

Path Parameters

issueId*string

Issue ID to retrieve.

Formatuuid

Response Body

application/json

curl -X GET "https://example.com/issues/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "issue": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",    "name": "string",    "description": "string",    "status": "open",    "severity": "low",    "componentId": "616ccd92-d666-4180-8349-8d125b269fac",    "componentName": "string",    "createdAt": "2019-08-24T14:15:22Z",    "resolvedAt": "2019-08-24T14:15:22Z",    "mutedAt": "2019-08-24T14:15:22Z",    "muteHitCount": 0,    "lastActivityAt": "2019-08-24T14:15:22Z",    "lastDeliveredAt": "2019-08-24T14:15:22Z",    "locked": true,    "redacted": true,    "issueThreadId": "2de7e8e4-a847-40ea-8f22-23a408e8ff3c",    "threadId": "51f72284-0555-48fe-a20a-4369ee94dc3e",    "report": "string",    "latestUpdate": "string",    "slackChannels": [      {        "channelId": "string",        "channelName": "string",        "threadTs": "string",        "permalink": "string",        "workspaceName": "string"      }    ],    "microsoftTeamsChannels": [      {        "channelName": "string",        "permalink": "string"      }    ],    "rootlyAlerts": [      {        "shortId": "string",        "url": "string"      }    ],    "incidentIoAlerts": [      {        "alertId": "string",        "url": "string"      }    ],    "pagerDutyIncidents": [      {        "incidentNumber": "string",        "url": "string"      }    ],    "taskLinks": [      {        "provider": "linear",        "identifier": "string",        "url": "http://example.com"      }    ],    "pullRequests": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "number": -9007199254740991,        "repositoryFullName": "string",        "title": "string",        "url": "http://example.com",        "status": "open",        "reviewState": "review_required",        "checksState": "passing",        "relation": "fixes",        "source": "sazabi"      }    ],    "fixes": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "requestedAt": "2019-08-24T14:15:22Z",        "requestedBy": {          "id": "string",          "name": "string"        },        "source": "dashboard",        "status": "queued",        "pullRequests": [          {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "number": -9007199254740991,            "repositoryFullName": "string",            "url": "http://example.com",            "status": "open"          }        ]      }    ],    "hasUnread": true  }}